## org.apache.cassandra.dht
Class BootStrapper

    java.lang.Object
      org.apache.cassandra.dht.BootStrapper

    public class BootStrapper

extends java.lang.Object

Nested Class Summary
`static class` `BootStrapper.BootstrapTokenVerbHandler`

Field Summary
`protected java.net.InetAddress` `address`
`protected Token` `token`
`protected TokenMetadata` `tokenMetadata`

Constructor Summary
`BootStrapper(java.net.InetAddress address, Token token, TokenMetadata tmd)`

Method Summary
`static Token` `getBalancedToken(TokenMetadata metadata, java.util.Map<java.net.InetAddress,java.lang.Double> load)`
`static Token` `getBootstrapToken(TokenMetadata metadata, java.util.Map<java.net.InetAddress,java.lang.Double> load)` if initialtoken was specified, use that.
`void` `startBootstrap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected final java.net.InetAddress address

### token

    protected final Token token

### tokenMetadata

    protected final TokenMetadata tokenMetadata

Constructor Detail

### BootStrapper

    public BootStrapper(java.net.InetAddress address,
                        Token token,
                        TokenMetadata tmd)

Method Detail

### startBootstrap

    public void startBootstrap()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getBootstrapToken

    public static Token getBootstrapToken(TokenMetadata metadata,
                                          java.util.Map<java.net.InetAddress,java.lang.Double> load)
                                   throws java.io.IOException,
                                          ConfigurationException

  if initialtoken was specified, use that. otherwise, pick a token to assume half the load of the most-loaded node.

  Throws:
    `java.io.IOException`
    `ConfigurationException`

### getBalancedToken

    public static Token getBalancedToken(TokenMetadata metadata,
                                         java.util.Map<java.net.InetAddress,java.lang.Double> load)

Copyright © 2010 The Apache Software Foundation